# Class DiehardInputGenerator

java.lang.Object
org.uncommons.maths.random.DiehardInputGenerator

public final class DiehardInputGenerator extends Object
Utility to generate an input file for the DIEHARD suite of statistical tests for random number generators.

## Method Summary

Modifier and Type
Method
Description
`static void`
`generateOutputFile(Random rng, File outputFile)`
Generates a file of random data in a format suitable for the DIEHARD test.
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws Exception

Parameters:
  `args` - The first argument is the class name of the RNG, the second is the file to use for output.
Throws:
  `Exception` - If there are problems setting up the RNG or writing to the output file.

### generateOutputFile

public static void generateOutputFile(Random rng, File outputFile) throws IOException
Generates a file of random data in a format suitable for the DIEHARD test. DIEHARD requires 3 million 32-bit integers.

Parameters:
  `rng` - The random number generator to use to generate the data.
  `outputFile` - The file that the random data is written to.
Throws:
  `IOException` - If there is a problem writing to the file.